Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor
Interface BeanMonitor

All Superinterfaces:
  AMX, AMXMBeanLogging, Container, Monitoring, MonitoringStats, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  EntityBeanMonitor, MessageDrivenBeanMonitor, StatefulSessionBeanMonitor, StatelessSessionBeanMonitor

public interface BeanMonitor
extends Container, MonitoringStats

Base monitoring interface for EJBs.

See Also:
  `StatelessSessionBeanMonitor`, `StatefulSessionBeanMonitor`, `EntityBeanMonitor`, `MessageDrivenBeanMonitor`

Field Summary

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`BeanCacheMonitor` | `getBeanCacheMonitor()`
`java.util.Map` | `getBeanMethodMonitorMap()`
`BeanPoolMonitor` | `getBeanPoolMonitor()`
`EJBStats` | `getEJBStats()` Return the specific sub-interface of EJBStats appropriate to this item.

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.monitor.MonitoringStats
`getOpenStatistic, getOpenStatistics, getOpenStats, getStatistic, getStatisticNames, getStatistics, getStats, getStatsInterfaceName, refresh`

Methods inherited from interface com.sun.appserv.management.monitor.Monitoring
`getServerRootMonitor`

Method Detail

### getBeanPoolMonitor

    public BeanPoolMonitor getBeanPoolMonitor()

  Returns:
    the associated bean pool monitor object

### getBeanCacheMonitor

    public BeanCacheMonitor getBeanCacheMonitor()

  Returns:
    the associated bean cache monitor object

### getBeanMethodMonitorMap

    public java.util.Map getBeanMethodMonitorMap()

  Returns:
    Map of BeanMethodMonitorMgr keyed by name (beanName), one per bean in this EJBModule

### getEJBStats

    public EJBStats getEJBStats()

  Return the specific sub-interface of EJBStats appropriate to this item. Depending on the type of bean, the EJBStats returned will be one of:
  - `StatelessSessionBeanStats`
  - `StatefulSessionBeanStats`
  - `EntityBeanStats`
  - `MessageDrivenBeanStats`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.